import TRTCCloud from '@tencentcloud/trtc-cloud-wx'
import TRTCPusher from './components/TRTCPusher.vue'
import TRTCPlayer from './components/TRTCPlayer.vue'

// 导出TRTCCloud所有功能
export * from '@tencentcloud/trtc-cloud-wx'

// 导出Vue组件
export { TRTCPusher, TRTCPlayer }

// 默认导出TRTCCloud实例
export default TRTCCloud

// 添加自动安装功能
const install = (app) => {
  app.component('TRTCPusher', TRTCPusher)
  app.component('TRTCPlayer', TRTCPlayer)
}

export { install }
